 
AOS.init({
    duration: 1200
});


$(document).ready(function () {
    $('.testimonial-wrapper').owlCarousel({
        loop: true,
        autoplay: false,
        autoplayTimeout: 2000,
        autoplayHoverPause: true,
        navText: ['<i class="fas fa-arrow-left"></i>', '<i class="fas fa-arrow-right"></i>'],
        dots: true,
        margin: 20,
        nav: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 1
            },
            1000: {
                items: 1
            }
        }
    })
});


// Wrap every letter in a span
var textWrapper = document.querySelector('.ml10 .letters');
textWrapper.innerHTML = textWrapper.textContent.replace(/\S/g, "<span class='letter'>$&</span>");

anime.timeline({loop: true})
  .add({
    targets: '.ml10 .letter',
    rotateY: [-90, 0],
    duration: 1300,
    delay: (el, i) => 45 * i
  }).add({
    targets: '.ml10',
    opacity: 0,
    duration: 1000,
    easing: "easeOutExpo",
    delay: 1000
  });


  var app = document.getElementById('app');

var typewriter = new Typewriter(app, {
    loop: true
});

typewriter.typeString('Tax Filling')
    .pauseFor(2500)
    .deleteAll()
    .typeString('Tax Fillin  ')
    .pauseFor(2500)
    .deleteAll()
    .typeString('Tax Filling')
    .pauseFor(2500)
    .start();



    function customCursor() {
        const cursorInner = document.querySelector(".cursor-inner");
        const cursorOuter = document.querySelector(".cursor-outer");
        let mouseX = 0;
        let mouseY = 0;
        let isHovering = false;
    
        window.addEventListener("mousemove", function (event) {
            if (!isHovering) {
                gsap.to(cursorOuter, {
                    x: event.clientX,
                    y: event.clientY,
                });
            }
            gsap.to(cursorInner, {
                x: event.clientX,
                y: event.clientY,
            });
            mouseY = event.clientY;
            mouseX = event.clientX;
        });
    
        const elementsToTrack = document.querySelectorAll("a, img, .cursor-pointer");
        elementsToTrack.forEach((element) => {
            element.addEventListener("mouseenter", function () {
                cursorInner.classList.add("cursor-hover");
                cursorOuter.classList.add("cursor-hover");
                isHovering = true;
            });
    
            element.addEventListener("mouseleave", function () {
                if (!(
                    element.tagName === "A" ||
                    element.tagName === "IMG" ||
                    element.closest(".cursor-pointer")
                )) {
                    cursorInner.classList.remove("cursor-hover");
                    cursorOuter.classList.remove("cursor-hover");
                }
                isHovering = false;
            });
        });
    
        gsap.set(cursorInner, { visibility: "visible" });
        gsap.set(cursorOuter, { visibility: "visible" });
    }
    
    document.addEventListener("DOMContentLoaded", function () {
        customCursor();
    
        AOS.init({
            duration: 1200,
        });
    
        const lenis = new Lenis()
    
        function raf(time) {
            lenis.raf(time)
            requestAnimationFrame(raf)
        }
    
        requestAnimationFrame(raf)
    
        const elmOverlay = document.querySelector('.shape-overlays');
        const preloader = new preLoader(elmOverlay, {
            numPoints:2
        });
    
        if (document.querySelector(".preloader")) {
            setTimeout(function () {
                document.querySelector(".preloader").remove()
                preloader.close();
                preLoader1(tl);
            }, 500)
        }
    });